package com.boman.web.core.mapper;

import com.alibaba.fastjson.JSONObject;
import com.boman.domain.VaccineInfoUser;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author tjf
 * @Date: 2021/09/07/9:58
 */
public interface VaccineInfoUserMapper {

    /**
     * 查询疫苗信息操作
     *
     * @param idCard 用户身份证
     * @return 结果
     */
    public List<VaccineInfoUser> selectVaccineInfoUserByIdCard(@Param("idCard") String idCard);


    /**
     * 新增疫苗信息操作
     *
     * @param vaccineInfoUser 疫苗信息操作
     * @return 结果
     */
    public int insertVaccineInfoUser(VaccineInfoUser vaccineInfoUser);

    /**
     * 修改疫苗信息操作
     *
     * @param vaccineInfoUser 疫苗信息操作
     * @return 结果
     */
    public int updateVaccineInfoUser(VaccineInfoUser vaccineInfoUser);

    /**
     * 删除疫苗信息操作
     *
     * @param id 疫苗信息操作ID
     * @return 结果
     */
    public int deleteVaccineInfoUserById(Long id);

    /**
     * 批量删除疫苗信息操作
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteVaccineInfoUserByIds(Long[] ids);


    /**
     * 根据条件查询身份证列表
     * @param vaccineInfoUser
     * @return
     */
    public List<String> selectIdCardList(VaccineInfoUser vaccineInfoUser);

    int listBy1jici();

    List<JSONObject> todayCnt(@Param("todayStart") String todayStart, @Param("todayEnd") String todayEnd);

    /**
     * 功能描述: 根据身份证和接种计次查询
     *
     * @param sfz  sfz
     * @param jzjc jzjc
     * @return int
     */
    int countByIdCardAndJici(@Param("sfz") String sfz, @Param("jzjc") String jzjc);
}
